<?php

function getDirlist($dir='', $prevDir='') {
	// Current path relative to base_dir
	$currentDir = $dir;

	// Absolute path in FS for locating files
	$dir = getCurrentPath( $dir );


	echo '<table>';
	echo '<TR ><TD colspan="2" >';
		if (  $dir != GALLERY_BASE_DIR ) {
			echo '<a href="?&dir='.$prevDir.'">'.TXT_DIR_UP.'</a><BR>';
	}
	echo '</TD></TR>';
	if ( ! @ $dirHandler = opendir ( $dir ) ) error ( "E_DIR" );
	while ( ( $file = readdir( $dirHandler ) ) !== FALSE ) {
		if ( ( is_dir ( $file ) ) && ( $file !='.' ) && ( $file != '..' ) ) {
			echo '<TR><TD>';
			echo '<a href="?&prevDir='.$currentDir.'&dir='.$currentDir.'/'.$file.'">'.$file.'</a>';
			echo '</TD><TD>';
			echo '<a href="deleteDir.php?&prevDir='.$currentDir.'&dir='.$currentDir.'/'.$file.'">'.TXT_DELETE_DIR.'</a>'; 
			echo '</TD></TR>';
		}
	}
	echo '</table>';
	closedir ( $dirHandler );
}

function showThumbs( $dir='' ) {
	
	// Current path relative to base_dir
	$currentDir = $dir;

	// Absolute path in FS for locating files
	$dir = getCurrentPath( $dir );

	$endPrefixPos = strlen(THUMB_GEN_PREFIX);

	if ( ! @ $dirHandler = opendir ( $dir ) ) error ( "E_DIR" );

	echo '<TABLE>';
	while ( ( $file = readdir( $dirHandler ) ) !== FALSE ) {
		$largeImage = substr ( $file, $endPrefixPos );
		if ( substr ( $file, 0, $endPrefixPos ) == THUMB_GEN_PREFIX ) {
			//Show thumbnail with link to full image
			if ($rowCount == 0) echo '<TR>';
			echo '<TD width="'.GALLERY_MAX_V_SIZE.'" valign="top">';
			echo '<a  href="'.GALLERY_WEB_BASE_DIR.'/'.$currentDir.'/'.$largeImage.'">';
			echo '<img hspace="0" vspace="0" border="0" src="'.GALLERY_WEB_BASE_DIR.'/'.$currentDir.'/'.$file.'">';
			echo '</a><TD>';
			
			echo '<TD valign="top"><b>';
			echo $largeImage.'</b><BR>';
			echo round ( ( filesize($dir.'/'.$largeImage) / 1024 ), 2). ' kb<BR>';
			echo '<a href="delete.php?dir='.$currentDir.'&img='.$largeImage.'">'.TXT_DELETE.'</a>';
			echo '</TD>';
			$rowCount++;
			if ($rowCount==5) { echo '</TR>'; $rowCount=0; }
		}
	}
	echo '</TABLE>';

}

function clearThumbs ( $dir )
{
	$endPrefixPos = strlen(THUMB_GEN_PREFIX);

	// Delete all thumbnails
	if ( ! @ $dirHandler = opendir ( $dir ) ) error ( "E_DIR" );
	while ( ( $file = readdir( $dirHandler ) ) !== FALSE ) {
		if ( substr ( $file, 0, $endPrefixPos ) == THUMB_GEN_PREFIX )
		{
			if ( ! @unlink ( $dir."/".$file ) ) 	error("E_DELETE_FILE");
		}
	}

}

function autoBuildThumbs ( $dir='' )
{
	// Current path relative to base_dir
	$currentDir = $dir;

	// Absolute path in FS for locating files
	$dir = getCurrentPath( $dir );
	
	// Clear thumbnails
	clearThumbs($dir);
	
	// Create new thumbnails
	if ( ! @ $dirHandler = opendir ( $dir ) ) error ( "E_DIR" );
	while ( ( $file = readdir( $dirHandler ) ) !== FALSE ) {
		if ( ( $file !='.' ) && ( $file != '..' ) ) {	
			if (checkFileType( $dir.'/'.$file ) ) {
					createThumbnail( $file, $dir, checkFileType( $dir.'/'.$file ) ) ;
			}
		}
	}
	
	echo TXT_CREATE_THUMB_OK."<BR>";
	echo '<a href="'.INDEX_FILE.'">'.TXT_BACK.'</a>';
}


function deleteFile($dir, $img) {
		if ( ! @unlink ( GALLERY_BASE_DIR.$dir."/".$img ) ) 					error("E_DELETE_FILE");
		if ( ! @unlink ( GALLERY_BASE_DIR.$dir."/".THUMB_GEN_PREFIX.$img ) ) 	error("E_DELETE_FILE");
		echo TXT_DELETE_OK."<BR>";
		echo '<a href="'.INDEX_FILE.'?dir='.$dir.'">'.TXT_BACK.'</a>';
}


function deleteDir($dir, $prevDir) {

	// Absolute path in FS for locating files
	$dir = getCurrentPath( $dir );

	if (! @ rmdir( $dir ) ) error("E_DELETE_DIR");
	 
	echo TXT_DELETE_DIR_OK."<BR>";
	echo '<a href="'.INDEX_FILE.'?dir='.$prevDir.'">'.TXT_BACK.'</a>';
}

function addDir($dirToAdd, $currDir) {
	$base = getCurrentPath($currDir);
	$dirToAdd = str_replace(" ","_",$dirToAdd);
	if ( @ chdir( $base."/".$dirToAdd ) ) error ( "E_DIR_EXISTS" );
	if ( ! @mkdir ( $base."/".$dirToAdd ) ) error( "E_CREATE_DIR" );
	echo str_replace( "#DIRNAME", $dirToAdd, TXT_CREATE_DIR_OK ).'<BR>';
	echo '<a href="'.INDEX_FILE.'?dir='.$currDir.'">'.TXT_BACK.'</a>';
}

function getCurrentPath($dir='') {
	// If no $dir is given, use base-path
	if ( $dir=='' ) $dir = GALLERY_BASE_DIR;
	
	// Check if $dir is within base-path
	if ( ! strstr ( $dir, GALLERY_BASE_DIR ) )
	{
		// else add base-path to $dir
		$dir = GALLERY_BASE_DIR.$dir;
	}
	if ( ! @ chdir ( $dir ) ) error( "E_DIR" );
	return $dir;
}

function saveFile($file, $filename, $dir)
{
	$prevDir=$dir;
	$filetype = checkFileType($file);
	if ( ! $filetype ) error ("E_FILETYPE");
	$dir = getCurrentPath($dir);
	if (! @ is_uploaded_file( $file ) ) error ( "E_UPLOAD_FILE" );
	if (@ is_file( $dir ."/". $filename ) ) error ( "E_FILE_EXISTS" );
	if( ! @copy( $file, $dir ."/". $filename) ) error ( "E_COPY_FILE" );
	if( ! @unlink($file) ) error ( "E_DELETE_TMP_FILE" );
	echo TXT_ADD_IMAGE_OK.": ".$filename."<BR>";
	if ( createThumbnail($filename, $dir, $filetype) ) echo TXT_CREATE_THUMB_OK."<BR>";
	echo '<a href="'.INDEX_FILE.'?dir='.$prevDir.'">'.TXT_BACK.'</a>';
}

function checkFileType($file)
{
	if ( WITH_EXIF_ENABLED )	// Faster
	{
		$filetype = exif_imagetype($file);
	}
	else{
		$tmp = getimagesize( $file );
		$filetype = $tmp[2];
	}
	// Filetype should be gif (1), jpeg (2) or png (3)
	if ( ( $filetype >= 1 ) && ( $filetype <= 3 ) ) return $filetype; else return FALSE;
}


function error($currentError) {
	global $errors;
	echo "<p></p>".TXT_ERR_PREFIX.$errors[$currentError] ."<br>";
	echo '<a href="'.INDEX_FILE.'">'.TXT_BACK.'</a>';
	echo '<p></p>';
	die();
}

function createThumbnail($filename, $dir, $type) {
		// Open file
		switch ($type) {
			case 1:
				if (! (@ $srcImage =@ ImageCreateFromGIF ( $filename ) ) ) error ("E_GDLIB") ;
				break;
			case 2:
				if (! (@ $srcImage =@ ImageCreateFromJPEG ( $filename ) ) ) error ("E_GDLIB") ;
				break;
			case 3:
				if (! (@ $srcImage =@ ImageCreateFromPNG ( $filename ) ) ) error ("E_GDLIB");
				break;
			default:
				error ( "E_FILETYPE" );
				break;
		}
		

		// Get dimensions
		$srcWidth = ImageSX ( $srcImage );
		$srcHeight = ImageSY ( $srcImage );
		
		// If image is too high
		if ( $srcHeight > THUMB_MAX_V_SIZE ) {
			if (($srcWidth / $srcHeight) * THUMB_MAX_V_SIZE > THUMB_MAX_H_SIZE) {
				$destWidth = THUMB_MAX_H_SIZE;
				$destHeight = ($srcHeight / $srcWidth) * THUMB_MAX_H_SIZE;
			} else {
				$destHeight = THUMB_MAX_V_SIZE;
				$destWidth = ($srcWidth / $srcHeight) * THUMB_MAX_V_SIZE;
			}
		} elseif ($srcWidth > THUMB_MAX_H_SIZE) {
			// Height is OK, but image is to wide
			$destWidth = THUMB_MAX_H_SIZE;
			$destHeight = ($srcHeight / $srcWidth) * THUMB_MAX_H_SIZE;
		} else {
			$destWidth = $srcWidth;
			$destHeight = $srcHeight;
		}
		
		// Create new image with correct dimensions
		$destImage = imagecreateTrueColor($destWidth, $destHeight); 
		
		ImageCopyResized($destImage, $srcImage, 0, 0, 0, 0, $destWidth,$destHeight, $srcWidth, $srcHeight ); 

		if ( ! @ imageJPEG( $destImage, $dir."/".THUMB_GEN_PREFIX.$filename, THUMB_GEN_QUALITY ) ) error ("E_CREATE_THUMB");

		// Empty memory
		ImageDestroy( $srcImage ); 
		ImageDestroy( $destImage ); 
		return 1;
	}
?>