<!--

  How to adapt SPGM Admin to use a new language:
  
  pre)
	   With language I mean a set of texts which is displayed using SPGM Admin, of course
	   not litteraly a language.
	   You can adapt these sets to your own wishes or, where this how-to is about, create new ones.
  
  step 1)
	  Copy all the text from some
	
	    if (LANGUAGE==
		
	  to the first following accolade ( } ) in this file and paste it below all other text,
	  but before the questionmark with the greater-than sign (the PHP closing tag).
	  The rest of this explanation applies to the text you've just pasted.

  step 2)
	  Edit the name to use for your language, i.e. 'EN' to 'CZ' or 'NL' to 'F'.
	  Example:
	   
		  if (LANGUAGE=="EN") {
		  
		    would get
		  
		  if (LANGUAGE=="CZ") {
	  
	  This name is used in the settings.inc.php file to determine which language should be used.
  
  step  3)
	  Next thing to do, is to edit the actual labels.
	  For example, if you are creating a French language thingy, 
	
	     define (TXT_YES,						"Yes");
		 
	  would be transformed into:
	  
	    define (TXT_YES,						"Oui");
	  
	  Some things should not be translated.
	  These are the word with an # before it. 
	  They are automagically replaced with, for example, the name of the selected file.

  step 4)
	  Edit the settings.inc.php file and set LANGUAGE to the language you want to use.
	  
  step 5
	  I would be very happy to add more languages to SPGM Admin, so if you've created a new one please mail
	  your adapted languages.inc.php to me (bram@vanharen.nl.eu.org)

-->

<?php

if (LANGUAGE=="EN") {
	define (TXT_YES,						"Yes");
	define (TXT_NO,							"No");
	define (TXT_BACK,						"Back");
	define (TXT_SUBMIT,						"Submit");
	define (TXT_BROWSE,						"browse");
	define (TXT_ERR_PREFIX,					"Error: ");
	define (TXT_DIR_UP, 					"Directory up");
	define (TXT_DELETE, 					"Delete file");
	define (TXT_DELETE_CONFIRMATION,		"Are you sure you want to delete #FILENAME?");
	define (TXT_DELETE_DIR_CONFIRMATION,	"Are you sure you want to delete the entire directory #FILENAME?");	
	define (TXT_DELETE_OK,					"File(s) deleted successfully");
	define (TXT_DELETE_DIR,					"Delete directory");
	define (TXT_DELETE_DIR_OK,				"Directory deleted successfully");	
	define (TXT_CREATE_DIR,					"Create directory");
	define (TXT_CREATE_DIR_OK,				"Directory #DIRNAME created successfully");
	define (TXT_CREATE_IMG,					"Add image");
	define (TXT_ADD_IMAGE_OK,				"Image added succesfully");
	define (TXT_CREATE_THUMB_OK,			"Thumbnail created.");
	define (TXT_AUTO_THUMB,					"Build thumbnails.");

	$errors["E_DIR"] = 						"can't open directory";
	$errors["E_DIR_EXISTS"] =				"directory already exists";
	$errors["E_FILE_EXISTS"] =				"file already exists";
	$errors["E_DELETE_FILE"] =				"can't remove file";
	$errors["E_DELETE_TMP_FILE"] =			"can't remove temporary file";
	$errors["E_UPLOAD_FILE"] =				"can't upload file";
	$errors["E_COPY_FILE"] =				"can't copy file";
	$errors["E_DELETE_DIR"] =				"can't remove directory. Check if the directory is empty";
	$errors["E_CREATE_DIR"] =				"can't create directory";
	$errors["E_CREATE_THUMB"] = 			"couldn't write thumbnail to disk";
	$errors["E_FILETYPE"] =					"the file is of the wrong type. It should be gif, jpeg or png";
	$errors["E_GDLIB"] =					"the GD-library didn't function proberly. Be sure to have compiled PHP with --enable-gd";
}

if (LANGUAGE=="NL") {
	define (TXT_YES,						"Ja");
	define (TXT_NO,							"Nee");
	define (TXT_BACK,						"Terug");
	define (TXT_SUBMIT,						"Verzenden");
	define (TXT_BROWSE,						"navigeren");
	define (TXT_ERR_PREFIX, 				"Fout: ");
	define (TXT_DIR_UP, 					"Omhoog");
	define (TXT_DELETE, 					"Verwijderen");
	define (TXT_DELETE_CONFIRMATION,		"Wilt u #FILENAME verwijderen?");
	define (TXT_DELETE_DIR_CONFIRMATION,	"Wilt u de directory #FILENAME verwijderen?");
	define (TXT_DELETE_OK,					"Bestand(en) met succes verwijderd");
	define (TXT_DELETE_DIR,					"Wis directory");
	define (TXT_DELETE_DIR_OK,				"Directory met succes verwijderd");	
	define (TXT_CREATE_DIR,					"Maak directory");
	define (TXT_CREATE_DIR_OK,				"Directory #DIRNAME met success aangemaakt");
	define (TXT_CREATE_IMG,					"Nieuwe afbeelding");
	define (TXT_ADD_IMAGE_OK,				"Afbeelding toegevoegd");
	define (TXT_CREATE_THUMB_OK,			"Verkleinde weergave aangemaakt.");
	define (TXT_AUTO_THUMB,					"Verkleinde weergaven opbouwen.");

	$errors["E_DIR"] =  					"kan directory niet openen";
	$errors["E_DIR_EXISTS"] =  				"directory bestaat reeds";
	$errors["E_FILE_EXISTS"] =				"bestand bestaads reeds";
	$errors["E_DELETE_FILE"] =				"kan bestand niet verwijderen";
	$errors["E_DELETE_TMP_FILE"] =			"kan tijdelijk bestand niet verwijderen";
	$errors["E_UPLOAD_FILE"] =				"kan bestand niet uploaden";
	$errors["E_COPY_FILE"] =				"kan bestand niet kopieeren";
	$errors["E_DELETE_DIR"] =				"kan directory niet verwijderen. Controleer of de directory leeg is.";
	$errors["E_CREATE_DIR"] =				"kan directory niet maken";
	$errors["E_CREATE_THUMB"] = 			"kon verkleinde weergave niet wegschrijven";
	$errors["E_FILETYPE"] =					"de afbeelding is geen gif, jpeg of png-afbeelding";
	$errors["E_GDLIB"] =					"de GD-bibliotheek functioneerde niet correct. Zorg er voor dat PHP is gecompileerd met --enable-gd";
}
?>